'use strict';

var curry = require('./curry.js');
var _and = require('./_and.js');

/**
 * Returns the logical AND of two values.
 *
 * @function
 * @param a The first value.
 * @param b The second value.
 * @returns {Boolean} The result of `b && a`.
 * @example
 *
 * import { and } from 'fkit'
 * and(true, true) // true
 * and(0, 1) // false
 * and('', 'foo') // false
 */

var and = curry(_and);

module.exports = and;
