'use strict';

var curry = require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-56a5551b.js');
require('./chunk-5a196674.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
var _any = require('./_any.js');

/**
 * Determines whether any elements in a list satisfy a predicate function.
 *
 * @function
 * @param {Function} p The predicate function.
 * @param {Array|String} as The list.
 * @returns {Boolean} `true` if any elements in the list of `as` satisfy the
 * predicate function `p`, `false` otherwise.
 * @example
 *
 * import { any, eq, gt } from 'fkit'
 *
 * any(gt(1), [1, 2, 3]) // true
 * any(gt(1), [1, 2]) // true
 * any(gt(1), [1]) // false
 *
 * any(eq('o'), 'foo') // true
 * any(eq('o'), 'fo') // true
 * any(eq('o'), 'f') // false
 */

var any = curry(_any);

module.exports = any;
