'use strict';

var curry = require('./curry.js');
var _apply = require('./_apply.js');

/**
 * Applies a function to a value.
 *
 * @function
 * @param {Function} f The function to apply.
 * @param a The value.
 * @returns The result of `f(a)`.
 * @example
 *
 * import { apply } from 'fkit'
 * const sayHi = a => ['Hi', a, '!'].join(' ')
 * apply(sayHi, 'jane') // Hi Jane!
 */

var apply = curry(_apply);

module.exports = apply;
