'use strict';

var curry = require('./curry.js');
var _apply2 = require('./_apply2.js');

/**
 * Applies a function to two values.
 *
 * @function
 * @param {Function} f The function to apply.
 * @param a The first value.
 * @param b The second value.
 * @returns The result of `f(a, b)`.
 * @example
 *
 * import { apply2 } from 'fkit'
 * const sayHi = (a, b) => ['Hi', a, b, '!'].join(' ')
 * apply2(sayHi, 'Jane', 'Appleseed') // Hi Jane Appleseed!
 */

var apply2 = curry(_apply2);

module.exports = apply2;
