'use strict';

var curry = require('./curry.js');
var _applyMethod = require('./_applyMethod.js');

/**
 * Applies a method to a value.
 *
 * @function
 * @param {String} k The method to apply.
 * @param a The value.
 * @param {Object} o The object.
 * @returns The result of the method `k` of object `o` applied to the value
 * `a`.
 * @example
 *
 * import { applyMethod } from 'fkit'
 * const person = { sayHi: a => ['Hi', a, '!'].join(' ') }
 * applyMethod('sayHi', 'Jane', person) // Hi Jane!
 */

var applyMethod = curry(_applyMethod);

module.exports = applyMethod;
