'use strict';

var curry = require('./curry.js');
var _between = require('./_between.js');

/**
 * Determines whether a number is between two numbers.
 *
 * @function
 * @param {Number} a The first number.
 * @param {Number} b The second number.
 * @param {Number} n The number to test.
 * @returns {Number} `true` if the number `n` is between the numbers `a` and
 * `b` (i.e. a <= n <= b), `false` otherwise.
 * @example
 *
 * import { between } from 'fkit'
 * between(1, 3, 2) // true
 * between(1, 3, 4) // false
 */

var between = curry(_between);

module.exports = between;
