'use strict';

var curry = require('./curry.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
require('./variadic.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-56a5551b.js');
require('./chunk-5a196674.js');
require('./concat.js');
require('./empty.js');
require('./head.js');
require('./_pair.js');
require('./pair.js');
require('./tail.js');
require('./_map.js');
var _cartesian = require('./_cartesian.js');

/**
 * Calculates the [Cartesian
 * product](https://en.wikipedia.org/wiki/Cartesian_product) of two lists.
 *
 * @function
 * @param {Array|String} as The first list.
 * @param {Array|String} bs The second list.
 * @returns {Array} Returns a list that contains all the ordered pairs `[a, b]`
 * in the lists of `as` and `bs`.
 * @example
 *
 * import { cartesian } from 'fkit'
 * cartesian([1, 2], [3, 4]) // [[1, 3], [1, 4], [2, 3], [2, 4]]
 * cartesian('ab', 'cd') // [['a', 'c'], ['a', 'd'], ['b', 'c'], ['b', 'd']]
 */

var cartesian = curry(_cartesian);

module.exports = cartesian;
