'use strict';

var __chunk_1 = require('./chunk-ba04ad2f.js');

/**
 * Returns true if `as` is an array.
 *
 * @private
 */
function isArray(as) {
  return Array.isArray(as);
}

/**
 * Returns true if the list of `as` is an array of strings, false otherwise.
 *
 * @private
 */

function isArrayOfStrings(as) {
  return isArray(as) && as.length > 0 && as.reduce(function (a, b) {
    return a && __chunk_1.isString(b);
  }, true);
}

/**
 * Returns an empty monoid of `as`.
 *
 * @private
 */

function mempty(as) {
  return __chunk_1.isString(as) || isArrayOfStrings(as) ? '' : [];
}

exports.isArray = isArray;
exports.isArrayOfStrings = isArrayOfStrings;
exports.mempty = mempty;
