'use strict';

require('./curry.js');
require('./chunk-ba04ad2f.js');
require('./empty.js');
require('./head.js');
require('./tail.js');
require('./_eq.js');
var eq = require('./eq.js');
require('./last.js');
require('./_dropWhile.js');
require('./_takeWhile.js');
require('./_span.js');
require('./span.js');
require('./_prepend.js');
require('./_chunkBy.js');
var chunkBy = require('./chunkBy.js');

/**
 * Chunks contiguous values in a list.
 *
 * This is a special case of the `chunkBy` function where the values are compared
 * using the strict equality `===` operator.
 *
 * @function
 * @param {Array|String} as The list.
 * @returns {Array|String} A list that contains the values in the list of `as`
 * chunked into sublists of equal values.
 * @example
 *
 * import { chunk } from 'fkit'
 * chunk([1, 2, 2, 3, 3, 3]) // [[1], [2, 2], [3, 3, 3]]
 * chunk('Mississippi') // ['M', 'i', 'ss', 'i', 'ss', 'i', 'pp', 'i']
 */

var chunk = chunkBy(eq);

module.exports = chunk;
