'use strict';

var curry = require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-56a5551b.js');
require('./chunk-5a196674.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
require('./empty.js');
require('./head.js');
require('./tail.js');
require('./_eq.js');
require('./eq.js');
require('./_prepend.js');
require('./_nubBy.js');
require('./nubBy.js');
require('./nub.js');
require('./_removeBy.js');
require('./removeBy.js');
require('./_fold.js');
var _differenceBy = require('./_differenceBy.js');

/**
 * Calculates the difference of two lists.
 *
 * The comparator function `f` compares two elements, `a` and `b`. If the
 * elements are considered to be equal, then the comparator function should
 * return `true`. Otherwise it should return `false`.
 *
 * @function
 * @param {Function} f The comparator function.
 * @param {Array|String} as The first list.
 * @param {Array|String} bs The second list.
 * @returns {Array|String} A list that contains the difference of the elements
 * in the lists of `as` and `bs`.
 * @example
 *
 * import { differenceBy } from 'fkit'
 * differenceBy((a, b) => a === b, [1, 2, 3], [2, 3, 4]) // [1]
 * differenceBy((a, b) => a === b, 'hello', 'world') // 'he'
 */

var differenceBy = curry(_differenceBy);

module.exports = differenceBy;
