'use strict';

var curry = require('./curry.js');
var _div = require('./_div.js');

/**
 * Returns the division of two numbers.
 *
 * @function
 * @param {Number} a The first number.
 * @param {Number} b The second number.
 * @returns {Number} The result of `b / a`.
 * @example
 *
 * import { div } from 'fkit'
 * div(2, 10) // 5
 */

var div = curry(_div);

module.exports = div;
