'use strict';

var curry = require('./curry.js');
require('./_eq.js');
require('./eq.js');
require('./_findIndices.js');
var _elemIndices = require('./_elemIndices.js');

/**
 * Gets the indices of all occurances of a value in a list.
 *
 * @function
 * @param a The value to find.
 * @param {Array|String} as The list.
 * @returns {Array} The indices of all occurances of the value `a` in the list
 * of `as`.
 * @example
 *
 * import { elemIndices } from 'fkit'
 *
 * elemIndices(0, [1, 2, 3]) // []
 * elemIndices(1, [1, 2, 3]) // [0]
 *
 * elemIndices('a', 'foo') // []
 * elemIndices('o', 'foo') // [1, 2]
 */

var elemIndices = curry(_elemIndices);

module.exports = elemIndices;
