'use strict';

var curry = require('./curry.js');
var _eq = require('./_eq.js');

/**
 * Determines whether two values are equal.
 *
 * @function
 * @param a The first value.
 * @param b The second value.
 * @returns {Boolean} `true` if the value `a` is strictly not equal (`===`) to
 * the value `b`, false otherwise.
 * @example
 *
 * import { eq } from 'fkit'
 * eq(1, 1) // true
 * eq(1, 2) // false
 */

var eq = curry(_eq);

module.exports = eq;
