'use strict';

require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-56a5551b.js');
require('./chunk-5a196674.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
require('./_any.js');
require('./_eq.js');
var eq = require('./eq.js');
require('./_fold.js');
require('./_intersectBy.js');
var intersectBy = require('./intersectBy.js');

/**
 * Calculates the intersection of two lists.
 *
 * This is a special case of the `intersectBy` function where the elements are
 * compared using the strict equality `===` operator.
 *
 * Duplicates are removed from `bs`, but if `as` contains duplicates then so
 * will the result.
 *
 * @function
 * @param {Array|String} as The first list.
 * @param {Array|String} bs The second list.
 * @returns {Array|String} A list that contains the intersection of the elments
 * in the lists of `as` and `bs`.
 * @example
 *
 * import { intersect } from 'fkit'
 * intersect([1, 2, 3], [2, 3, 4]) // [2, 3]
 * intersect('hello', 'world') // 'ol'
 */

var intersect = intersectBy(eq);

module.exports = intersect;
