'use strict';

var curry = require('./curry.js');
require('./chunk-ba04ad2f.js');
require('./flip.js');
require('./chunk-5a196674.js');
require('./empty.js');
require('./head.js');
require('./tail.js');
require('./_prepend.js');
require('./prepend.js');
require('./_isPrefixOf.js');
require('./reverse.js');
var _isSuffixOf = require('./_isSuffixOf.js');

/**
 * Determines if a list is a suffix of another list.
 *
 * @function
 * @param {Array|String} as The suffix.
 * @param {Array|String} bs The list to check.
 * @returns {Boolean} `true` if the list of `as` is a suffix of the list of
 * `bs`, `false` otherwise.
 * @example
 *
 * import { isSuffixOf } from 'fkit'
 *
 * isSuffixOf([], [1, 2, 3]) // true
 * isSuffixOf([1, 2], [1, 2, 3]) // false
 * isSuffixOf([2, 3], [1, 2, 3]) // true
 *
 * isSuffixOf('', 'foo') // true
 * isSuffixOf('fo', 'foo') // false
 * isSuffixOf('oo', 'foo') // true
 */

var isSuffixOf = curry(_isSuffixOf);

module.exports = isSuffixOf;
