'use strict';

var curry = require('./curry.js');
var _max = require('./_max.js');

/**
 * Determines the largest of two numbers.
 *
 * @function
 * @param {Number} a The first number.
 * @param {Number} b The second number.
 * @returns {Number} The largest of the numbers `a` and `b`.
 * @example
 *
 * import { max } from 'fkit'
 * max(1, 2) // 2
 */

var max = curry(_max);

module.exports = max;
