'use strict';

require('./curry.js');
require('./_compare.js');
var compare = require('./compare.js');
require('./_fold.js');
require('./_maximumBy.js');
var maximumBy = require('./maximumBy.js');

/**
 * Calculates the maximum value of a list.
 *
 * This a special case of the `maximumBy` function where the values are
 * compared using natural ordering.
 *
 * @function
 * @param {Array|String} as The list.
 * @returns Returns the maximum value in the list of `as`.
 * @example
 *
 * import { maximum } from 'fkit'
 * maximum([1, 2, 3]) // 3
 * maximum('abc') // 'c'
 */

var maximum = maximumBy(compare);

module.exports = maximum;
