'use strict';

var curry = require('./curry.js');
var _mul = require('./_mul.js');

/**
 * Returns the product of two numbers.
 *
 * @function
 * @param {Number} a The first number.
 * @param {Number} b The second number.
 * @returns {Number} The result of `b * a`.
 * @example
 *
 * import { mul } from 'fkit'
 * mul(2, 3) // 6
 */

var mul = curry(_mul);

module.exports = mul;
