'use strict';

var curry = require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-56a5551b.js');
require('./chunk-5a196674.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
require('./empty.js');
require('./head.js');
require('./tail.js');
require('./_eq.js');
require('./eq.js');
require('./_prepend.js');
require('./copy.js');
require('./_nubBy.js');
require('./nubBy.js');
require('./nub.js');
require('./_removeBy.js');
require('./removeBy.js');
require('./_fold.js');
require('./_differenceBy.js');
require('./differenceBy.js');
require('./difference.js');
require('./_get.js');
require('./keys.js');
require('./chunk-fac2c876.js');
require('./_set.js');
var _omit = require('./_omit.js');

/**
 * Omits properties of an object.
 *
 * @function
 * @param {Array} ks The list of keys to omit.
 * @param {Object} o The object.
 * @returns {Object} A copy of the object `o` *without* the properties in the
 * list of `ks`.
 * @example
 *
 * import { omit } from 'fkit'
 * const person = { name: 'Jane', age: 20, city: 'Melbourne' }
 * omit(['name', 'age'], person) // { city: 'Melbourne' }
 */

var omit = curry(_omit);

module.exports = omit;
