'use strict';

var curry = require('./curry.js');
var _pair = require('./_pair.js');

/**
 * Creates a new ordered pair.
 *
 * @function
 * @param a The first value.
 * @param b The second value.
 * @returns {Array} An ordered pair with the values `a` and `b`.
 * @example
 *
 * import { pair } from 'fkit'
 * pair(1, 2) // [1, 2]
 * pair('a', 'b') // ['a', 'b']
 */

var pair = curry(_pair);

module.exports = pair;
