'use strict';

require('./curry.js');
require('./chunk-ba04ad2f.js');
require('./_get.js');
var get = require('./get.js');
var keys = require('./keys.js');

/**
 * Gets the key-value pairs of an object.
 *
 * @param {Object} o The object.
 * @returns {Array} A list of key-value pairs for the properties of the object
 * `o`.
 * @example
 *
 * import { pairs } from 'fkit'
 * const person = { name: 'Jane', age: 20, city: 'Melbourne' }
 * pairs(person) // [['name', 'Jane'], ['age', 20], ['city', 'Melbourne']]
 */

function pairs(o) {
  return keys(o).map(function (k) {
    return [k, get(k, o)];
  });
}

module.exports = pairs;
