'use strict';

require('./curry.js');
var id = require('./id.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
require('./variadic.js');
var compose = require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-56a5551b.js');
require('./chunk-5a196674.js');
var concat = require('./concat.js');
var empty = require('./empty.js');
var head = require('./head.js');
var tail = require('./tail.js');
require('./_prepend.js');
var _foldRight = require('./_foldRight.js');
var prepend = require('./prepend.js');

function permutations_(bs_, cs) {
  var b = head(bs_);
  var bs = tail(bs_);
  return empty(bs_) ? [] : _foldRight(interleave, permutations_(bs, prepend(b, cs)), permutations(cs));

  function interleave(ds, r) {
    return interleave_(id, ds)[1];

    function interleave_(f, es_) {
      if (empty(es_)) {
        return [bs, r];
      } else {
        var e = head(es_);
        var es = tail(es_);
        var s = interleave_(compose(f, prepend(e)), es);
        return [prepend(e, s[0]), prepend(f(concat(b, e, s[0])), s[1])];
      }
    }
  }
}
/**
 * Calculates the permutations of a list.
 *
 * @param {Array|String} as The list.
 * @returns {Array|String} A list that contains all the permutations of the
 * elements in the list of `as`.
 * @example
 *
 * import { permutations } from 'fkit'
 * permutations([1, 2, 3]) // [[1, 2, 3], [2, 1, 3], [3, 2, 1], [2, 3, 1], [3, 1, 2], [1, 3, 2]]
 * permutations('abc') // ['abc', 'bac', 'cba', 'bca', 'cab', 'acb']
 */


function permutations(as) {
  return prepend(as, permutations_(as, []));
}

module.exports = permutations;
