'use strict';

var curry = require('./curry.js');
require('./chunk-ba04ad2f.js');
var _prepend = require('./_prepend.js');

/**
 * Prepends a value to a list.
 *
 * @function
 * @param a The value to prepend.
 * @param {Array|String} bs The list.
 * @returns {Array|String} A list that contains the value `a` prepended to the
 * list of `bs`.
 * @example
 *
 * import { prepend } from 'fkit'
 * prepend(1, [2, 3]) // [1, 2, 3]
 * prepend('f', 'oo') // 'foo'
 */

var prepend = curry(_prepend);

module.exports = prepend;
