'use strict';

require('./curry.js');
var _fold = require('./_fold.js');
require('./_mul.js');
var mul = require('./mul.js');

/**
 * Calculates the product of the elements in a list.
 *
 * @param {Array} as The list.
 * @returns {Number} The product of the elements in the list of `as`.
 * @example
 *
 * import { product } from 'fkit'
 * product([1, 2, 3]) // 6
 */

function product(as) {
  return _fold(mul, 1, as);
}

module.exports = product;
