'use strict';

var curry = require('./curry.js');
var _randomInt = require('./_randomInt.js');

/**
 * Generates a random integer.
 *
 * @function
 * @param {Number} a The minimum number.
 * @param {Number} b The maximum number.
 * @returns {Number} A random integer between `a` and `b`.
 * @example
 *
 * import { randomInt } from 'fkit'
 * randomInt(1, 3) // 2
 */

var randomInt = curry(_randomInt);

module.exports = randomInt;
