'use strict';

var curry = require('./curry.js');
require('./array.js');
var _range = require('./_range.js');

/**
 * Creates a new array of numbers.
 *
 * @function
 * @param {Number} a The starting number.
 * @param {Number} n The number of numbers to create.
 * @returns {Array} An array of numbers of length `n` starting from `a`.
 * @example
 *
 * import { range } from 'fkit'
 * range(1, 3) // [1, 2, 3]
 */

var range = curry(_range);

module.exports = range;
