'use strict';

require('./curry.js');
require('./chunk-ba04ad2f.js');
require('./chunk-5a196674.js');
require('./empty.js');
require('./head.js');
require('./tail.js');
require('./_eq.js');
var eq = require('./eq.js');
require('./_prepend.js');
require('./_removeBy.js');
var removeBy = require('./removeBy.js');

/**
 * Removes the first occurance of an element from a list.
 *
 * This is a special case of the `removeBy` function where the elements are
 * compared using the strict equality `===` operator.
 *
 * @function
 * @param a The value to remove.
 * @param {Array|String} bs The list.
 * @returns {Array|String} A list with the first occurance of the element `a`
 * removed from the list of `bs`.
 * @example
 *
 * import { remove } from 'fkit'
 * remove(2, [1, 2, 3]) // [1, 3]
 * remove('f', 'foo') // 'oo'
 */

var remove = removeBy(eq);

module.exports = remove;
