'use strict';

var curry = require('./curry.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-56a5551b.js');
require('./chunk-5a196674.js');
require('./concat.js');
require('./_concatMap.js');
require('./array.js');
require('./string.js');
var _replicate = require('./_replicate.js');

/**
 * Replicates a value.
 *
 * @function
 * @param {Number} n The number of copies.
 * @param a The value to replicate.
 * @returns {Array|String} A list of length `n` with `a` the value of every
 * element.
 * @example
 *
 * import { replicate } from 'fkit'
 * replicate(3, 1) // [1, 1, 1]
 * replicate(3, 'a') // 'aaa'
 */

var replicate = curry(_replicate);

module.exports = replicate;
