'use strict';

var curry = require('./curry.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-56a5551b.js');
require('./array.js');
require('./_fold.js');
require('./_randomInt.js');
require('./randomInt.js');
require('./shuffle.js');
require('./_take.js');
var _sample = require('./_sample.js');

/**
 * Samples random elements from a list.
 *
 * @function
 * @param {Number} n The number of elements to sample.
 * @param {Array|String} as The list.
 * @returns {Array|String} A list of `n` elements randomly sampled from the
 * list of `as`.
 * @example
 *
 * import { sample } from 'fkit'
 * sample(2, [1, 2, 3]) // [3, 1]
 * sample(2, 'abc') // 'ca'
 */

var sample = curry(_sample);

module.exports = sample;
