'use strict';

require('./curry.js');
var _compare = require('./_compare.js');
require('./chunk-fac2c876.js');
require('./_sortBy.js');
var sortBy = require('./sortBy.js');

/**
 * Sorts a list using natural ordering.
 *
 * This a special case of the `sortBy` function where the values are compared
 * using natural ordering.
 *
 * @function
 * @param {Array|String} a The list to sort.
 * @returns {Array|String} A list that contains the elements in the list of
 * `as` sorted.
 * @example
 *
 * import { sort } from 'fkit'
 * sort([2, 3, 1]) // [1, 2, 3]
 * sort('bca') // 'abc'
 */

var sort = sortBy(_compare);

module.exports = sort;
