'use strict';

var _add = require('./_add.js');
var _fold = require('./_fold.js');

/**
 * Calculates the sum of the elements in a list.
 *
 * @param {Array} as The list.
 * @returns {Number} The sum of the elements in the list of `as`.
 * @example
 *
 * import { sum } from 'fkit'
 * sum([1, 2, 3]) // 6
 */

function sum(as) {
  return _fold(_add, 0, as);
}

module.exports = sum;
