'use strict';

require('./chunk-ba04ad2f.js');
var empty = require('./empty.js');
var tail = require('./tail.js');
var _prepend = require('./_prepend.js');

/**
 * Gets all final segments of a list.
 *
 * @param {Array|String} as The list.
 * @returns {Array} A list that contains all final segments of the list of
 * `as`.
 * @example
 *
 * import { tails } from 'fkit'
 * tails([1, 2, 3]) // [[1, 2, 3], [2, 3], [3], []]
 * tails('foo') // ['foo', 'oo', 'o', '']
 */

function tails(as) {
  return _prepend(as, empty(as) ? [] : tails(tail(as)));
}

module.exports = tails;
