'use strict';

var curry = require('./curry.js');
require('./chunk-ba04ad2f.js');
var _take = require('./_take.js');

/**
 * Takes a number of elements from the start of a list.
 *
 * @function
 * @param {Number} n The number of elements to take.
 * @param {Array|String} as The list.
 * @returns {Array|String} The result after taking `n` elements from the list
 * of `as`.
 * @example
 *
 * import { take } from 'fkit'
 * take(2, [1, 2, 3]) // [1, 2]
 * take(2, 'foo') // 'fo'
 */

var take = curry(_take);

module.exports = take;
