'use strict';

var curry = require('./curry.js');
var _tap = require('./_tap.js');

/**
 * Applies the function `f` to the value `a` and returns the value `a`
 * unchanged.
 *
 * @function
 * @param {Function} f The function to apply.
 * @param a The value.
 * @returns The value `a` unchanged.
 * @example
 *
 * import { tap } from 'fkit'
 * const f = a => console.log(a)
 * tap(f)(1) // 1
 */

var tap = curry(_tap);

module.exports = tap;
