'use strict';

/**
 * Creates a new tuple.
 *
 * @param as The values.
 * @returns {Array} A tuple with the values from `as`.
 * @example
 *
 * import { tuple } from 'fkit'
 * tuple(1, 2, 3) // [1, 2, 3]
 * tuple('a', 'b', 'c') // ['a', 'b', 'c']
 */
function tuple() {
  for (var _len = arguments.length, as = new Array(_len), _key = 0; _key < _len; _key++) {
    as[_key] = arguments[_key];
  }

  return as;
}

module.exports = tuple;
