'use strict';

require('./chunk-ba04ad2f.js');
var __chunk_4 = require('./chunk-5a196674.js');
var _prepend = require('./_prepend.js');

/**
 * Unzips a list of pairs into a pair of lists.
 *
 * @param {Array} as The list.
 * @returns {Array} The list of pairs `as` unzipped into a pair of lists.
 * @example
 *
 * import { unzip } from 'fkit'
 * unzip([[1, 4], [2, 5], [3, 6]]) // [[1, 2, 3], [4, 5, 6]]
 * unzip([['f', 'b'], ['o', 'a'], ['o', 'r']]) // ['foo', 'bar']
 */

function unzip(as) {
  var s = __chunk_4.mempty(as[0]);
  return as.reduceRight(function (p, ps) {
    var a = ps[0];
    var b = ps[1];
    var as = p[0];
    var bs = p[1];
    return [_prepend(a, as), _prepend(b, bs)];
  }, [s, s]);
}

module.exports = unzip;
