'use strict';

require('./chunk-ba04ad2f.js');
var flip = require('./flip.js');
var _get = require('./_get.js');
var keys = require('./keys.js');

/**
 * Gets the values of an object.
 *
 * @param {Object} o The object.
 * @returns {Array} A list of values for the properties of the object `o`.
 * @example
 *
 * import { values } from 'fkit'
 * const person = { name: 'Jane', age: 20, city: 'Melbourne' }
 * values(person) // ['Jane', 20, 'Melbourne']
 */

function values(o) {
  return keys(o).map(function (k) {
    return flip(_get)(o, k);
  });
}

module.exports = values;
